%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname fssm
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: File system state monitor
Name: rubygem-%{gemname}
Version: 0.2.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/ttilley/fssm
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(rspec) >= 0
BuildRequires: rubygems
BuildRequires: rubygem(rspec) >= 0 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
The File System State Monitor keeps track of the state of any number of paths
and will fire events when said state changes (create/update/delete).
FSSM supports using FSEvents on MacOS (with ruby 1.8), Inotify on GNU/Linux,
and polling anywhere else. 


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

rm %{buildroot}/%{geminstdir}/.document

%check
pushd %{buildroot}/%{geminstdir}
%_bindir/spec spec
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/spec
%{geminstdir}/Rakefile
%{geminstdir}/VERSION.yml
%{geminstdir}/fssm.gemspec
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/profile/
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.markdown
%doc %{geminstdir}/example.rb
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Fri Dec 17 2010 Vít Ondruch <vondruch@redhat.com> - 0.2.2-1
- Initial package
